Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1064671 - [abrt] yum: list_dealloc(): python2.7 killed by SIGSEGV
Summary: [abrt] yum: list_dealloc(): python2.7 killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: python
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matej Stuchlik
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:aec0f1eade952c42b5186ad023d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-13 04:34 UTC by Timothy Krupinski
Modified: 2016-02-01 02:15 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 15:10:26 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-02-13 04:34 UTC, Timothy Krupinski
no flags Details
File: cgroup (deleted)
2014-02-13 04:34 UTC, Timothy Krupinski
no flags Details
File: core_backtrace (deleted)
2014-02-13 04:34 UTC, Timothy Krupinski
no flags Details
File: dso_list (deleted)
2014-02-13 04:34 UTC, Timothy Krupinski
no flags Details
File: environ (deleted)
2014-02-13 04:34 UTC, Timothy Krupinski
no flags Details
File: exploitable (deleted)
2014-02-13 04:35 UTC, Timothy Krupinski
no flags Details
File: limits (deleted)
2014-02-13 04:35 UTC, Timothy Krupinski
no flags Details
File: maps (deleted)
2014-02-13 04:35 UTC, Timothy Krupinski
no flags Details
File: open_fds (deleted)
2014-02-13 04:35 UTC, Timothy Krupinski
no flags Details
File: proc_pid_status (deleted)
2014-02-13 04:35 UTC, Timothy Krupinski
no flags Details
File: var_log_messages (deleted)
2014-02-13 04:35 UTC, Timothy Krupinski
no flags Details

Description Timothy Krupinski 2014-02-13 04:34:50 UTC
Description of problem:
Ran yumex.  By default it loaded packages that needed to be updated.  I clicked 'select all' then 'apply'.

Version-Release number of selected component:
yum-3.4.3-132.fc20

Additional info:
reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        /usr/bin/python /bin/yum update
crash_function: list_dealloc
executable:     /usr/bin/python2.7
kernel:         3.12.10-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 list_dealloc at /usr/src/debug/Python-2.7.5/Objects/listobject.c:318
 #1 dict_dealloc at /usr/src/debug/Python-2.7.5/Objects/dictobject.c:1019
 #3 instance_dealloc at /usr/src/debug/Python-2.7.5/Objects/classobject.c:681
 #4 insertdict_by_entry at /usr/src/debug/Python-2.7.5/Objects/dictobject.c:528
 #5 dict_set_item_by_hash_or_entry at /usr/src/debug/Python-2.7.5/Objects/dictobject.c:774
 #6 PyDict_SetItem at /usr/src/debug/Python-2.7.5/Objects/dictobject.c:827
 #7 _PyObject_GenericSetAttrWithDict at /usr/src/debug/Python-2.7.5/Objects/object.c:1529
 #8 PyObject_SetAttr at /usr/src/debug/Python-2.7.5/Objects/object.c:1252
 #9 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.5/Python/ceval.c:2078
 #10 fast_function at /usr/src/debug/Python-2.7.5/Python/ceval.c:4184

Comment 1 Timothy Krupinski 2014-02-13 04:34:53 UTC
Created attachment 862623 [details]
File: backtrace

Comment 2 Timothy Krupinski 2014-02-13 04:34:55 UTC
Created attachment 862624 [details]
File: cgroup

Comment 3 Timothy Krupinski 2014-02-13 04:34:56 UTC
Created attachment 862625 [details]
File: core_backtrace

Comment 4 Timothy Krupinski 2014-02-13 04:34:58 UTC
Created attachment 862626 [details]
File: dso_list

Comment 5 Timothy Krupinski 2014-02-13 04:34:59 UTC
Created attachment 862627 [details]
File: environ

Comment 6 Timothy Krupinski 2014-02-13 04:35:01 UTC
Created attachment 862628 [details]
File: exploitable

Comment 7 Timothy Krupinski 2014-02-13 04:35:02 UTC
Created attachment 862629 [details]
File: limits

Comment 8 Timothy Krupinski 2014-02-13 04:35:04 UTC
Created attachment 862630 [details]
File: maps

Comment 9 Timothy Krupinski 2014-02-13 04:35:05 UTC
Created attachment 862631 [details]
File: open_fds

Comment 10 Timothy Krupinski 2014-02-13 04:35:07 UTC
Created attachment 862632 [details]
File: proc_pid_status

Comment 11 Timothy Krupinski 2014-02-13 04:35:08 UTC
Created attachment 862633 [details]
File: var_log_messages

Comment 12 Fedora Admin XMLRPC Client 2015-05-12 12:02:58 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 13 Fedora End Of Life 2015-05-29 10:54:16 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-06-29 15:10:26 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.